Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.config
Class CacheLoaderConfig.IndividualCacheLoaderConfig

    java.lang.Object
      org.jboss.cache.config.CacheLoaderConfig.IndividualCacheLoaderConfig

Enclosing class:
  CacheLoaderConfig

    public static class CacheLoaderConfig.IndividualCacheLoaderConfig

extends java.lang.Object

Configuration object that holds the confguration of an individual cache loader.

Author:
  Manik Surtani (manik@jboss.org)

Constructor Summary
`CacheLoaderConfig.IndividualCacheLoaderConfig()`

Method Summary
`java.lang.String` | `getClassName()`
`java.util.Properties` | `getProperties()`
`boolean` | `isAsync()`
`boolean` | `isFetchPersistentState()`
`boolean` | `isIgnoreModifications()`
`boolean` | `isPurgeOnStartup()`
`void` | `setAsync(boolean async)`
`void` | `setClassName(java.lang.String className)`
`void` | `setFetchPersistentState(boolean fetchPersistentState)`
`void` | `setIgnoreModifications(boolean ignoreModifications)`
`void` | `setProperties(java.util.Properties properties)`
`void` | `setProperties(java.lang.String properties)`
`void` | `setPurgeOnStartup(boolean purgeOnStartup)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheLoaderConfig.IndividualCacheLoaderConfig

    public CacheLoaderConfig.IndividualCacheLoaderConfig()

Method Detail

### isPurgeOnStartup

    public boolean isPurgeOnStartup()

### isFetchPersistentState

    public boolean isFetchPersistentState()

### setFetchPersistentState

    public void setFetchPersistentState(boolean fetchPersistentState)

### setClassName

    public void setClassName(java.lang.String className)

### getClassName

    public java.lang.String getClassName()

### setAsync

    public void setAsync(boolean async)

### isAsync

    public boolean isAsync()

### setIgnoreModifications

    public void setIgnoreModifications(boolean ignoreModifications)

### isIgnoreModifications

    public boolean isIgnoreModifications()

### setProperties

    public void setProperties(java.lang.String properties)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setProperties

    public void setProperties(java.util.Properties properties)

### getProperties

    public java.util.Properties getProperties()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setPurgeOnStartup

    public void setPurgeOnStartup(boolean purgeOnStartup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.